\documentclass[12pt,a4paper,titlepage]{article}
% \usepackage[utf8]{inputenc}
% \usepackage[spanish]{babel}
\usepackage[spanish,activeacute]{babel}
\usepackage[utf8]{inputenc}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\usepackage{lmodern}
\usepackage{tabularx}
% \renewcommand{\rmdefault}{phv} % Arial
% \renewcommand{\sfdefault}{phv} % Arial
\usepackage{algorithm}
%\usepackage{algorithmic}
\usepackage{algpseudocode}
\usepackage{hyperref}
\usepackage[left=3.5cm,right=3.5cm,top=3.5cm,bottom=3.5cm]{geometry}


\title{{ \Large \textit{Seminario de titulaci'on  }  } \author{ % {\small Feli\'u D. Sagols Troncoso}
    \\ {\small Daniel A. Cervantes Cabrera} \\ % {\small Marco Romero Sandoval}
  } \date{Facultad de Ciencias UNAM \\ Julio 2020} }


\newtheorem{theorem}{{\textbf Teorema}}
\newtheorem{definition}{{Definici\ón}}
\newtheorem{assumption}{Assumption}
\newtheorem{lemma}{Lema}
\newtheorem{proposition}{Proposici\ón}
\newtheorem{corollary}{Corolario}
\newtheorem{note}{note}


\usepackage{listings}
\usepackage{xcolor} % for setting colors


% \lstset{ 
%     language=C++, % choose the language of the code
%     basicstyle=\fontfamily{pcr}\selectfont\footnotesize\color{red},
%     keywordstyle=\color{black}\bfseries, % style for keywords
%     numbers=none, % where to put the line-numbers
%     numberstyle=\tiny, % the size of the fonts that are used for the line-numbers     
%     backgroundcolor=\color{darkgray},
%     showspaces=false, % show spaces adding particular underscores
%     showstringspaces=false, % underline spaces within strings
%     showtabs=false, % show tabs within strings adding particular underscores
%     frame=single, % adds a frame around the code
%     tabsize=2, % sets default tabsize to 2 spaces
%     rulesepcolor=\color{gray}
%     captionpos=b, % sets the caption-position to bottom
%     breaklines=true, % sets automatic line breaking
%     breakatwhitespace=false, 
% }

% set the default code style
\lstset{
  backgroundcolor=\color{gray}
  frame=tb, % draw a frame at the top and bottom of the code block
  tabsize=4, % tab space width
  showstringspaces=false, % don't mark spaces in strings
  numbers=left, % display line numbers on the left
  commentstyle=\color{green}, % comment color
  keywordstyle=\color{blue}, % keyword color
  stringstyle=\color{red} % string color
}


% \lstset{
%   backgroundcolor=\color[gray]{0.9},
%   frame=single,
%   mathescape=true,
%   commentstyle=\color{green}, % comment color
%   keywordstyle=\color{blue}, % keyword color
%   stringstyle=\color{red}, % string color
%    showspaces=false, % show spaces adding particular underscores
% }
% \lstset{language=C++}


\usepackage{listings}
\lstset{language=Java,
  showspaces=false,
  showtabs=false,
  breaklines=true,
  showstringspaces=false,
  breakatwhitespace=true,
  commentstyle=\color{pgreen},
  keywordstyle=\color{pblue},
  stringstyle=\color{pred},
  basicstyle=\ttfamily,
  moredelim=[il][\textcolor{pgrey}]{$$},
  moredelim=[is][\textcolor{pgrey}]{\%\%}{\%\%}
}

\lstdefinelanguage{JavaScript}{
  keywords={typeof, new, true, false, catch, function, return, null, catch, switch, var, if, in, while, do, else, case, break},
  keywordstyle=\color{blue}\bfseries,
  ndkeywords={class, export, boolean, throw, implements, import, this},
  ndkeywordstyle=\color{darkgray}\bfseries,
  identifierstyle=\color{black},
  sensitive=false,
  comment=[l]{//},
  morecomment=[s]{/*}{*/},
  commentstyle=\color{purple}\ttfamily,
  stringstyle=\color{red}\ttfamily,
  morestring=[b]',
  morestring=[b]"
}

\lstset{
   language=JavaScript,
   backgroundcolor=\color[gray]{0.95},
   %backgroundcolor=\color{lightgray},
   extendedchars=true,
   basicstyle=\footnotesize\ttfamily,
   showstringspaces=false,
   showspaces=false,
   numbers=left,
   numberstyle=\footnotesize,
   numbersep=9pt,
   tabsize=2,
   breaklines=true,
   showtabs=false,
   captionpos=b
}



\lstdefinestyle{BashInputStyle}{
  language=bash,
  %basicstyle=\small\sffamily,
  %numbers=left,
  numberstyle=\tiny,
  numbersep=3pt,
%  frame=tb,
  columns=fullflexible,
  backgroundcolor=\color{yellow!20},
  linewidth=0.9\linewidth,
  xleftmargin=0.1\linewidth
}


\lstdefinestyle{ScriptInputStyle}{
  language=bash,
  %basicstyle=\small\sffamily,
  %numbers=left,
  numberstyle=\tiny,
  numbersep=3pt,
%  frame=tb,
  columns=fullflexible,
  backgroundcolor=\color[gray]{0.9},
  linewidth=0.9\linewidth,
  xleftmargin=0.1\linewidth
}




\newcommand*{\Package}[1]{\texttt{#1}}

\begin{document}
\maketitle
\begin{abstract}
  En este trabajo
  
\end{abstract}

\tableofcontents

\section{Introducción}
\label{sec:intro}
\section{Estado del Arte}
\label{sec:ea}



\section{Bibliografía}

\begin{thebibliography}{99}
\bibitem{gnulgpl} \url{https://www.gnu.org/licenses/lgpl-3.0.html}

\end{thebibliography}

\end{document}
